PATCH
/core/accounts/v1/{id}Update account statement
The endpoint /core/accounts/v1/{id} will be used to change the status of an account. Account statuses can change between ACTIVE, FROZEN, DEBIT_ONLY, or DISABLED. For the last three statuses, it is necessary to indicate the reason for the status change using the status_update_motive property.Find more information about account statuses in our documentation.
Available parameters
Header Parameters
AuthorizationStringrequired
Path Parameters
idStringrequired
Cuerpo de solicitud
application/jsonstatusenumrequired
status_update_motiveenum
status_update_commentstring
Response details
Ejemplo de solicitud
{
"status": "ACTIVE",
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update."
}Ejemplo de código
curl -X PATCH "https://api.pomelo.la/core/accounts/v1/example_value" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"status": "ACTIVE",
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update."
}'Ejemplo de respuesta (200)Account updated
{
"data": {
"id": "acc-20I5vMjljS3VEyafcX8lA3T3g0c",
"country": "ARG",
"data": {
"license_owner": "CLIENT"
},
"currency": "ARS",
"metadata": {
"extra_property_1": "My value"
},
"status": "ACTIVE",
"owner_type": "USER",
"owner_data": {
"client_id": "cli-20I3zwp4JSAZaHWD8s3xqq5eYub",
"user_id": "usr-20I2tIqG3buTsvHKKORrtY2MkFH",
"company_id": "cmp-20I2tIqG3buTsvHKKORrtY2MkFH"
},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"status_update_motive": "OTHER",
"status_update_comment": "Reason for account status update. It will only be returned when the account update reason is OTHER."
}
}